<?php

namespace Trackeasy\Classes;

// If this file is called directly, abort.
if (!defined('ABSPATH')) {
    exit();
}

/**
 * TE_Trackeasy_Fields class
 */
class TE_Trackeasy_Fields
{
    /**
     * @var array $fields
     * @access private
     * @static
     */
    private static array $fields = [
        ['name' => 'firstname', 'default_value' => ''],
        ['name' => 'lastname', 'default_value' => ''],
        ['name' => 'email', 'default_value' => ''],
        ['name' => 'tel_cell', 'default_value' => ''],
        ['name' => 'tel_home', 'default_value' => ''],
        ['name' => 'address_physical', 'default_value' => ''],
        ['name' => 'address_postal', 'default_value' => ''],
        ['name' => 'message', 'default_value' => ''],
        ['name' => 'add_value', 'default_value' => ''],
        ['name' => 'add_value2', 'default_value' => ''],
        ['name' => 'add_value3', 'default_value' => ''],
        ['name' => 'add_value4', 'default_value' => ''],
        ['name' => 'add_value5', 'default_value' => ''],
        ['name' => 'add_value6', 'default_value' => ''],
        ['name' => 'add_value7', 'default_value' => ''],
        ['name' => 'add_value8', 'default_value' => ''],
        ['name' => 'add_value9', 'default_value' => ''],
        ['name' => 'add_value10', 'default_value' => ''],
        ['name' => 'add_value11', 'default_value' => ''],
        ['name' => 'add_value12', 'default_value' => ''],
        ['name' => 'received_shortcode', 'default_value' => 0],
        ['name' => 'received_sms_message', 'default_value' => ''],
        ['name' => 'attachment_name', 'default_value' => ''],
        ['name' => 'attachment_type', 'default_value' => ''],
        ['name' => 'attachment_Data', 'default_value' => null],
        ['name' => 'marketing_sms_accept', 'type' => 'acceptance', 'default_value' => 0],
        ['name' => 'marketing_email_accept', 'type' => 'acceptance', 'default_value' => 0],
        ['name' => 'marketing_whatsapp_accept', 'type' => 'acceptance', 'default_value' => 0]
    ];

    /**
     * Returns the TrackEasy fields.
     *
     * @return array
     * @access public
     * @static
     */
    public static function get_fields(): array
    {
        return self::$fields;
    }
}
