<?php

namespace Trackeasy\Classes;

// If this file is called directly, abort.
if (!defined('ABSPATH')) {
    exit();
}

/**
 * TE_Trackeasy_Uninstaller class
 */
class TE_Trackeasy_Uninstaller
{
    /**
     * Removes the plugin options from the database.
     *
     * @return void
     * @access public
     * @static
     */
    public static function te_uninstall(): void
    {
        delete_option(TE_Trackeasy_Options::TE_API_KEY);
    }
}
